Name:           kpowersave
Version:        0.7.2
Release:        1%{?dist}
Summary:        KPowersave is the KDE frontend for powermanagement

Group:          Applications/System
License:        GPL
URL:            http://powersave.sourceforge.net/
Source0:        http://dl.sf.net/powersave/kpowersave-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs-devel
BuildRequires:	gettext
BuildRequires:	dbus-qt-devel
BuildRequires:  automake
BuildRequires:  libXext-devel libXScrnSaver-devel libXtst-devel
BuildRequires:  hal-devel desktop-file-utils

%description
KPowersave is the KDE frontend for powermanagement. 
It provides battery monitoring, suspend/ standby 
triggers and many more features for KDE (and GNOME). 

%prep
%setup -q

# redo auto* foo to get rid of goofy unsermake dep
make -f admin/Makefile.common


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
--dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
--vendor="" \
$RPM_BUILD_ROOT%{_datadir}/applications/kde/kpowersave.desktop

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
   lang=$(basename $lang_dir)
   echo "%lang($lang) %doc $HTML_DIR/$lang/*" >> %{name}.lang
done
fi


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING NEWS
%{_bindir}/kpowersave
%{_libdir}/kde3/kpowersave.*
%{_libdir}/libkdeinit_kpowersave.*
%{_datadir}/applications/kde/*kpowersave.desktop
%{_datadir}/apps/kpowersave/
%{_datadir}/autostart/kpowersave-autostart.desktop
%{_datadir}/config/kpowersaverc
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Mon Feb 26 2007 Dennis Gilmore <dennis@ausil.us> - 0.7.2-1
- Update to 0.7.2

* Fri Feb 02 2007 Dennis Gilmore <dennis@ausil.us> - 0.7.1-2
- Fix BuildRequires and use http url for source

* Thu Jan 25 2007 Dennis Gilmore <dennis@ausil.us> - 0.7.1-1
- Initial Fedora Packaging
